QXmpp: QXmppIq Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppIq Class Reference
Stanzas

The QXmppIq class is the base class for all IQs. More...

`#include <QXmppIq.h>`

Inheritance diagram for QXmppIq:

## Public Types
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Public Member Functions
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppIq class is the base class for all IQs.

## Member Enumeration Documentation

enum QXmppIq::Type

This enum describes the type of IQ.

Enumerator:

  Error | Error response.
  Get | Get request.
  Set | Set request.
  Result | Result.

## Constructor & Destructor Documentation

QXmppIq::QXmppIq | ( | QXmppIq::Type | type = `QXmppIq::Get` | ) |

Constructs a QXmppIq with the specified type.

Parameters

  type |

## Member Function Documentation

void QXmppIq::setType | ( | QXmppIq::Type | type | ) |

Sets the IQ's type.

Parameters

  type |

QXmppIq::Type QXmppIq::type | ( |  | ) | const

Returns the IQ's type.

The documentation for this class was generated from the following files:

- QXmppIq.h
- QXmppIq.cpp